import request from '@/helpers/request'

export const courseEvaluateList = (data) => {
  return request({
    url: '/teacherCourseSchedule/courseEvaluateList',
    method: 'post',
    data
  })
}

// 获取课程头部信息
export const getCourseInfoHead = (data) => {
  return request({
    url: '/courseReview/getCourseInfoHead',
    method: 'get',
    params: data
  })
}

// 获取评论详情
export const getReviewInfo = (data) => {
  return request({
    url: '/courseReview/getReviewInfo',
    method: 'get',
    params: data
  })
}

export const studyStandardList = (data)=> {
  return request({
    url: '/teacherCourseSchedule/studyStandardList',
    method: 'post',
    requestType: 'form',
    data
  })
}

export const checkeIsAssignHomework = (data)=> {
  return request({
    url: '/teacherCourseHomeworkReply/checkeIsAssignHomework',
    method: 'get',
    params: data
  })
}

// 提交评论
export const courseReviewAdd = (data)=> {
  return request({
    url: '/courseReview/add',
    method: 'post',
    data
  })
}

export const getCurrentCourseDetail = (data)=> {
  return request({
    url: '/teacherCourseSchedule/getCurrentCourseDetail',
    method: 'get',
    params: data
  })
}